Bug 214577 - graphics/embree: Enables EMBREE_ISPC_SUPPORT, added missing USES
Summary: graphics/embree: Enables EMBREE_ISPC_SUPPORT, added missing USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on: 214543
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-16 18:10 UTC by Yuri Victorovich
Modified: 2017-12-29 16:49 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
patch (1.64 KB, patch)
2016-11-16 18:10 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-11-16 18:10:27 UTC
Created attachment 177084 [details]
patch

ISPC should be supported by default.

Please also note that other USES are also missing when all options are chosen. (see stage-qa warnings)
Comment 1 Alexey Dokuchaev freebsd_committer 2017-01-19 14:21:09 UTC
Can you elaborate why do you think that ISPC should be supported by default?  Admittedly, I was thinking about introducing it as an optional feature.

ISPC pulls in quite heavy (and non-standard) clang/llvm38 ports as a dependencies which some users might not appreciate in order to build Embree and its consuming ports.
Comment 2 Yuri Victorovich freebsd_committer 2017-01-19 17:39:41 UTC
I think science/ospray requires ISPC support in embree. It was a while ago, I don't remember if this was the case or something else.
Comment 3 Yuri Victorovich freebsd_committer 2017-01-19 17:42:40 UTC
Now I remember: ospree has a cmake variable for 'embree has ispc support'. Ospree also required ispc nonoptionally. I decided to add both ispc and its support in embree, since it was missing.
Comment 4 commit-hook freebsd_committer 2017-12-29 16:47:14 UTC
A commit references this bug:

Author: danfe
Date: Fri Dec 29 16:46:46 UTC 2017
New revision: 457515
URL: https://svnweb.freebsd.org/changeset/ports/457515

Log:
  - Belatedly update `graphics/embree' to the latest version, 2.17.1
  - Add ISPC option and enable it by default (this pulls rather heavy
    `devel/llvm50' via BUILD_DEPENDS and normally would not be enabled
    by default, but since Embree is most likely to be used in graphics
    applications, it is safe to assume that users already have LLVM 5
    installed because X.org/Mesa stack unconditionally requires it)
  - OpenEXR support was removed upstream since version 2.13.0 back in
    November 11, 2016: https://github.com/embree/embree/commit/483491e
    (as usual, unfortunately, no explanation was provided in the log)
  - Remove CXXFLAGS+=-msse2 required for i386 earlier, not needed now
  - Add missing USE_GL, USE_XORG components as prompted by `stage-qa'

  PR:	214577, 224066

  Because GitHub releases (tarballs) are not fetched with correct modification
  time, set TIMESTAMP to 1510648523 which corresponds to commit 90e49f2 tagged
  as this release.

Changes:
  head/graphics/embree/Makefile
  head/graphics/embree/distinfo
  head/graphics/embree/pkg-descr
  head/graphics/embree/pkg-plist
Comment 5 Alexey Dokuchaev freebsd_committer 2017-12-29 16:49:00 UTC
Committed as of ports r457515, thank you.